package com.yx.face.dao;

import com.yx.face.boot.component.tk.TKMapper;
import com.yx.face.model.entity.UserVisitorList;
import com.yx.face.model.entity.UserWhitelist;
import com.yx.face.model.vo.UserVisitorListVO;
import com.yx.face.model.vo.UserWhitelistVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * @description:
 * @ClassName UserWhitelistDao
 * @Author WXG
 * @Date 2021/11/5 14:18
 */
public interface UserVisitorListDao extends TKMapper<UserVisitorList> {


    List<UserVisitorListVO> selectListBySearch(Map<String, Object> map);

    UserVisitorList getByPhoneAndId(@Param("phone") String phone, @Param("adminId") Integer adminId);

    UserVisitorList selectByPhoneAndAdminId(@Param("phone") String phone, @Param("adminId") Integer adminId);

    UserWhitelistVO selectListOne(@Param("id") Integer id);

    List<Long> selectId(@Param("userIds") List<Long> userIds, @Param("adminId") Integer adminId);

    UserVisitorList getByIdNubmer(@Param("idNumber") String idNumber);

}
